# \Thelia\ConfigDatabaseConfiguration

## Summary

Methods
Properties
Constants
getConfigTreeBuilder()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Config/DatabaseConfiguration.php
Package
  \Default
Class hierarchy
  \Thelia\Config\DatabaseConfiguration

## Tags

None found

## Methods

### getConfigTreeBuilder()

    getConfigTreeBuilder() : \Symfony\Component\Config\Definition\Builder\TreeBuilder

Generates the configuration tree builder.

#### Returns

\Symfony\Component\Config\Definition\Builder\TreeBuilder —

The tree builder

#

## Tags

None found

### DatabaseConfiguration.php